





























@voidzero Maybe you should do a system update first.
==> Starting prepare()...
The electron version is: 39
CANNOT RUN WITH NODE 20.20.1
asar requires Node >=22.12.0.
==> ERROR: A failure occurred in prepare().
Aborting...
We can force a node version in the following way:
diff --git a/PKGBUILD b/PKGBUILD
index 27c8716..2f3a623 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -35,7 +35,25 @@ _get_electron_version() {
_elec_ver="$(strings "${srcdir}/squashfs-root/${pkgname%-bin}" | grep '^Chrome/[0-9.]* Electron/[0-9]' | cut -d'/' -f3 | cut -d'.' -f1)"
echo -e "The electron version is: \033[1;31m${_elec_ver}\033[0m"
}
+
+# From https://wiki.archlinux.org/title/Node.js_package_guidelines
+_ensure_local_nvm() {
+ # let's be sure we are starting clean
+ which nvm >/dev/null 2>&1 && nvm deactivate && nvm unload
+ export NVM_DIR="${srcdir}/.nvm"
+
+ # The init script returns 3 if version specified
+ # in ./.nvrc is not (yet) installed in $NVM_DIR
+ # but nvm itself still gets loaded ok
+ source /usr/share/nvm/init-nvm.sh || [[ $? != 1 ]]
+}
+
+
+
prepare() {
+ _ensure_local_nvm
+ nvm install 22
+ nvm use 22
sed -i -e "
s/@electronversion@/${_electronversion}/g
s/@appname@/${pkgname%-bin}/g
Thank you.
@thes1lv3r Thanks for your feedback, added it.
Needs to add asar as a build dependency, currently getting build errors:
==> Starting prepare()...
The electron version is: 38
/home/s1lv3r/.cache/paru/clone/trezor-suite-bin/PKGBUILD: line 52: asar: command not found
==> ERROR: A failure occurred in prepare().
Aborting...
error: failed to build 'trezor-suite-bin-25.10.1-1':
@xanc Thanks for your feedback, added it.
Please DON'T mark it as expired at will! This package is packaged from a file that has already been compiled upstream. Although the upstream has updated the version number, the packaged file has not been released yet!
此内容由惯性聚合(RSS阅读器)自动聚合整理,仅供阅读参考。 原文来自 — 版权归原作者所有。
Please DON'T mark it as expired at will! This package is packaged from a file that has already been compiled upstream. Although the upstream has updated the version number, the packaged file has not been released yet!